Subject: Re: [PATCH v3 8/8] rev-list: allow filtering of provided items

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 12 Apr 2021 15:15:18 +0200

On Fri, Apr 09, 2021 at 04:00:26PM +0100, Philip Oakley wrote:
> typo nit.
> On 09/04/2021 12:28, Patrick Steinhardt wrote:
> > When providing an object filter, it is currently impossible to also
> > filter provided items. E.g. when executing `git rev-list HEAD` , the
> > commit this reference points to will be treated as user-provided and is
> > thus excluded from the filtering mechanism. This makes it harder than
> > necessary to properly use the new `--filter=object:type` filter given
> > that even if the user wants to only see blobs, he'll still see commits
> > of provided references.
> >
> > Improve this by introducing a new `--filter-provided` option to the
> s/--filter-provided/--filter-provided-revisions/
> 
> Also in some tests - I presume the option should be spelled out in full.

Right. I did fix these in the resend because I forgot to stage changes,
but still had it in the commit message.

Fixed now, thanks!

Patrick